function [labels,mod] = getModels(w_placement)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
labels= {'AVE','LSM','QDS','NRM'};

switch w_placement
    case 'contrast'
        
        mod{1,1} = '((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (w.*y.^n)) ./ ((w.*y.^n) + (k.^n)))';
        mod{1,2} = 'sqrt(((a.* (x.^n)) ./ ((x.^n) + (k.^n))).^2 + ((a.* (w.*y.^n)) ./ ((w.*y.^n) + (k.^n))).^2)';
        mod{1,3} = '(((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (w.*y.^n)) ./ ((w.*y.^n) + (k.^n)))) ./2';
        mod{1,4} = '((a.* ((x.^n) + (w.*y.^n))) ./ ((x.^n) + (w.*y.^n) + (k.^n)))';
        
    case 'contrast_numerator'
        mod{1,1} = '(((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (w.*y.^n)) ./ ((y.^n) + (k.^n)))) ./2'; % average
        mod{1,2} = '((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (w.*y.^n)) ./ ((y.^n) + (k.^n)))'; % linear
        mod{1,3} = 'sqrt(((a.* (x.^n)) ./ ((x.^n) + (k.^n))).^2 + ((a.* (w.*y.^n)) ./ ((y.^n) + (k.^n))).^2)'; %quadratic
        mod{1,4} = '((a.* ((x.^n) + (w.*y.^n))) ./ ((x.^n) + (y.^n) + (k.^n)))'; % normalization
        
    case 'rmax'
        mod{1,1} = '((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((w.*a.* (y.^n)) ./ ((y.^n) + (k.^n)))';
        mod{1,2} = 'sqrt(((a.* (x.^n)) ./ ((x.^n) + (k.^n))).^2 + ((w.*a.* (y.^n)) ./ ((y.^n) + (k.^n))).^2)';
        mod{1,3} = '(((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((w.*a.* (y.^n)) ./ ((y.^n) + (k.^n)))) ./2';
        mod{1,4} = '((a.* ((x.^n))) ./ ((x.^n) + (y.^n) + (k.^n))) + ((w.*a.* ((y.^n))) ./ ((x.^n) + (y.^n) + (k.^n)))';
    case 'exponent'
        
        mod{1,1} = '((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (y.^(w.*n))) ./ ((y.^(w.*n)) + (k.^n)))';
        mod{1,2} = 'sqrt(((a.* (x.^n)) ./ ((x.^n) + (k.^n))).^2 + ((a.* (y.^(w.*n))) ./ ((y.^(w.*n)) + (k.^n))).^2)';
        mod{1,3} = '(((a.* (x.^n)) ./ ((x.^n) + (k.^n))) + ((a.* (y.^(w.*n))) ./ ((y.^(w.*n)) + (k.^n)))) ./2';
        mod{1,4} = '((a.* ((x.^n) + (y.^(w.*n)))) ./ ((x.^n) + (y.^(w.*n)) + (k.^n)))';



end