function [POP] = getPOP(UNIT)

conditions = {'BIN','DE','NDE','DI'};
POP = struct;

for u = 1:length(UNIT)
    for cond = 1:length(conditions)
    POP.(conditions{cond}).sdf(:,:,u) = UNIT(u).(conditions{cond}).SDF_avg; 
    POP.(conditions{cond}).resp(:,:,u)  = UNIT(u).(conditions{cond}).RESP_avg;
    end
end

for cond = 1:length(conditions)
    POP.(conditions{cond}).SDF_avg  = nanmean(POP.(conditions{cond}).sdf,3);
    POP.(conditions{cond}).RESP_avg  = nanmean(POP.(conditions{cond}).resp,3);
end

% CI
p = 95;
clear CI

for cond = 1:length(conditions)
    for tw = size(POP.(conditions{cond}).sdf,2)
        for c = 1:size(POP.(conditions{cond}).sdf,1)
            POP.(conditions{cond}).SDF_CI{c}(:,tw) = CIFcn(POP.(conditions{cond}).sdf(c,tw,:),p);
        end
    end

    for tw = size(POP.(conditions{cond}).resp,2)
        for c = 1:size(POP.(conditions{cond}).sdf,1)      
            POP.(conditions{cond}).RESP_CI{c}(:,tw) = CIFcn(POP.(conditions{cond}).resp(c,tw,:),p);
        end
    end
end